Zum Hauptinhalt springen
GET
/
subscriptions
/
{id}
cURL
curl -X GET \
 /subscriptions/{id} \
 --header "Authorization: Bearer <token>"
{
  "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
  "externalId": "<string>",
  "paymentMethod": {
    "id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
    "default": true,
    "status": "active",
    "enabled": true,
    "name": "Visa (4242)",
    "creationDate": "2024-01-15T10:30:00+00:00",
    "expirationDate": "2026-12-31T23:59:59+00:00",
    "card": {
      "brand": "Visa",
      "last4": "4242",
      "expMonth": 12,
      "expYear": 2022,
      "cardHolder": "Max Mustermann"
    },
    "sepaDebit": {
      "iban": "DE8937*********3232",
      "bic": "COBADEFFXXX",
      "mandateReference": "MNDT-2021-123456",
      "signingDate": "2021-01-01T00:00:00+00:00"
    },
    "paypal": {
      "email": "max@mustermann.de",
      "billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
    }
  },
  "invoiceAddress": {
    "id": "<string>",
    "vatId": "DE123456789",
    "type": "TYPE_DEFAULT",
    "default": "true",
    "status": "active",
    "city": "Berlin",
    "zip": "12345",
    "street": "Musterstraße",
    "houseNumber": "1a",
    "countryCode": "DE",
    "companyName": "ACME Inc.",
    "salutation": "Herr",
    "addition": "c/o John Doe",
    "costCentre": "123456789",
    "firstName": "John",
    "lastName": "Doe"
  },
  "number": "S-00000001",
  "customer": {
    "id": "00000000-0000-0000-0000-000000000000",
    "customerNumber": "CUSTOMER-000",
    "timeZone": "Europe/Berlin",
    "firstName": "John",
    "lastName": "Doe",
    "currencyCode": "EUR",
    "companyName": "Acme Inc.",
    "datevId": "123456789",
    "status": "STATUS_ACTIVE"
  },
  "plan": {
    "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
    "family": {
      "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
      "createdAt": "2021-01-01T00:00:00+00:00",
      "updatedAt": "2021-01-01T00:00:00+00:00"
    },
    "code": "basic-m2023",
    "originProduct": {
      "measurement": {
        "unit": {
          "id": {},
          "name": "Stück",
          "createdAt": "2021-01-01T00:00:00+00:00",
          "updatedAt": "2021-01-01T00:00:00+00:00"
        },
        "code": "users",
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "description": "The number of users.",
        "aggregationType": "sum",
        "fairBilling": true,
        "type": "recurring"
      },
      "taxGroup": {},
      "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
      "name": "Basic",
      "description": "For small teams.",
      "internalName": "Basic (Weekly)",
      "costCentre": {},
      "customFields": {
        "field1": "value1",
        "field2": "value2"
      }
    },
    "allowCheckout": true,
    "status": "draft",
    "changeBehaviour": "upgradeable_and_downgradeable",
    "changeApplyBehaviour": "end_of_period",
    "createdAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>"
  },
  "name": "Fitness M",
  "items": [
    {
      "id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
      "parent": "<unknown>",
      "plan": {
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "family": {
          "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
          "createdAt": "2021-01-01T00:00:00+00:00",
          "updatedAt": "2021-01-01T00:00:00+00:00"
        },
        "code": "basic-m2023",
        "originProduct": {
          "measurement": {
            "unit": {
              "id": {},
              "name": "Stück",
              "createdAt": "2021-01-01T00:00:00+00:00",
              "updatedAt": "2021-01-01T00:00:00+00:00"
            },
            "code": "users",
            "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
            "description": "The number of users.",
            "aggregationType": "sum",
            "fairBilling": true,
            "type": "recurring"
          },
          "taxGroup": {},
          "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
          "name": "Basic",
          "description": "For small teams.",
          "internalName": "Basic (Weekly)",
          "costCentre": {},
          "customFields": {
            "field1": "value1",
            "field2": "value2"
          }
        },
        "allowCheckout": true,
        "status": "draft",
        "changeBehaviour": "upgradeable_and_downgradeable",
        "changeApplyBehaviour": "end_of_period",
        "createdAt": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "description": "<string>"
      },
      "measurementValues": [
        {
          "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
          "measurement": {
            "unit": {
              "id": {},
              "name": "Stück",
              "createdAt": "2021-01-01T00:00:00+00:00",
              "updatedAt": "2021-01-01T00:00:00+00:00"
            },
            "code": "users",
            "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
            "description": "The number of users.",
            "aggregationType": "sum",
            "fairBilling": true,
            "type": "recurring"
          },
          "quantity": 1,
          "measuredAt": "2021-01-01T00:00:00+00:00"
        }
      ],
      "billing": {
        "lastBilledAt": "2023-11-07T05:31:56Z",
        "lastBilledTo": "2023-11-07T05:31:56Z",
        "lastBilledFrom": "2023-11-07T05:31:56Z",
        "nextBillingAt": "2023-11-07T05:31:56Z",
        "billingInterval": "1M"
      },
      "name": "Fitness M",
      "description": "Everything included",
      "furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
      "pricePlan": {
        "type": "flat_fee",
        "currencyCode": "EUR",
        "price": {
          "amount": 123,
          "createdAt": "2021-01-01T00:00:00+00:00",
          "updatedAt": "2021-01-01T00:00:00+00:00",
          "tenantId": "<string>"
        },
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "internalName": "Exclusive pricing for partners.",
        "status": "active",
        "applyTrial": true,
        "payInAdvance": true,
        "proRata": true,
        "freeUnits": 1,
        "billingInterval": "1M",
        "showPricePerInterval": "1M",
        "custom": true,
        "charge": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "productSetOption": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "inUse": true
      },
      "status": "active",
      "product": {
        "measurement": {
          "unit": {
            "id": {},
            "name": "Stück",
            "createdAt": "2021-01-01T00:00:00+00:00",
            "updatedAt": "2021-01-01T00:00:00+00:00"
          },
          "code": "users",
          "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
          "description": "The number of users.",
          "aggregationType": "sum",
          "fairBilling": true,
          "type": "recurring"
        },
        "taxGroup": {},
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "name": "Basic",
        "description": "For small teams.",
        "internalName": "Basic (Weekly)",
        "costCentre": {},
        "customFields": {
          "field1": "value1",
          "field2": "value2"
        }
      },
      "appliedDiscounts": [
        {
          "id": "<string>",
          "coupon": {
            "code": "10OFF",
            "name": "10% off",
            "type": "percentage",
            "frequency": "limited",
            "id": "<string>",
            "percentage": 10,
            "fixedAmount": {},
            "frequencyInterval": 3,
            "isEnabled": true,
            "createdAt": "2021-01-01T00:00:00+00:00",
            "updatedAt": "2021-01-01T00:00:00+00:00"
          },
          "status": "active",
          "discount": {
            "name": "10% off",
            "type": "percentage",
            "frequency": "limited",
            "percentage": 10,
            "fixedAmount": {},
            "frequencyInterval": 3
          },
          "appliedIntervals": 1
        }
      ],
      "periods": [
        {
          "id": "<string>",
          "contractPeriodCount": 123,
          "contractPeriod": {},
          "cancellationPeriod": {},
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "activatedAt": "2021-01-01T00:00:00+00:00",
      "type": "addon",
      "currentMeasurementValue": {
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "measurement": {
          "unit": {
            "id": {},
            "name": "Stück",
            "createdAt": "2021-01-01T00:00:00+00:00",
            "updatedAt": "2021-01-01T00:00:00+00:00"
          },
          "code": "users",
          "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
          "description": "The number of users.",
          "aggregationType": "sum",
          "fairBilling": true,
          "type": "recurring"
        },
        "quantity": 1,
        "measuredAt": "2021-01-01T00:00:00+00:00"
      },
      "inheritedPeriod": true
    }
  ],
  "billingGroup": {
    "name": "Billing of payments at the end of the month",
    "type": "end_of_month",
    "id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
    "customDay": 31,
    "customMonth": 12
  },
  "periods": [
    {
      "id": "<string>",
      "contractPeriodCount": 123,
      "contractPeriod": {},
      "cancellationPeriod": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "status": "active",
  "activatedAt": "2021-01-01T00:00:00+00:00",
  "poNumber": "PO-00000001",
  "contractDetails": {
    "contractStart": "2023-11-07T05:31:56Z",
    "contractEnd": "2023-11-07T05:31:56Z"
  },
  "trialEndsOn": "2021-01-01T00:00:00+00:00",
  "customFields": {
    "field1": "value1",
    "field2": "value2"
  },
  "createdAt": "2021-01-01T00:00:00+00:00",
  "updatedAt": "2021-01-01T00:00:00+00:00",
  "defaultPaymentMethod": true,
  "defaultInvoiceAddress": true,
  "nextBillingDate": "2023-11-07T05:31:56Z",
  "lastBillingAt": "2023-11-07T05:31:56Z",
  "cancellationDate": "2023-11-07T05:31:56Z",
  "cancelledAt": "2023-11-07T05:31:56Z",
  "cancellationReason": {
    "code": "<string>",
    "name": "<string>",
    "id": "<string>",
    "createdAt": "2021-01-01T00:00:00+00:00",
    "updatedAt": "2021-01-01T00:00:00+00:00"
  },
  "isCancellationPending": true,
  "nextPossibleCancellationDate": [
    "<string>"
  ],
  "partner": {
    "id": "ad8f7e7d-3b3b-4b3b-8b3b-3b3b3b3b3b3b",
    "name": "John Doe",
    "number": "123456",
    "email": "partner@example.com"
  }
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

id
string
erforderlich

Subscription identifier

Antwort

Subscription resource

id
string
read-only
Beispiel:

"ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b"

externalId
string | null
paymentMethod
object | null

The payment method of the subscription. If null, the default payment method of the customer is used.

invoiceAddress
object | null

The invoice address of the subscription. If null, the default invoice address of the customer is used.

number
string

The number of the subscription.

Beispiel:

"S-00000001"

customer
object
plan
object | null

The plan this subscription is based on.

name
string | null

The name of the subscription. Defaults to the name of the plan. This will be used in the invoice for the grouping headers.

Beispiel:

"Fitness M"

items
object[]

The selected items of the subscription. Can be charges or addons.

billingGroup
object | null

The billing group defines the billing cycle of the subscription.

periods
object[]
status
any
read-only

The status of the subscription.

Possible values:

  • draft: The subscription is in draft mode and not active yet.
  • active: The subscription is active and will be billed.
  • paused: The subscription is paused and will not be billed.
  • cancelled: The subscription is cancelled and will not be billed anymore.
  • terminated: The subscription is terminated and will not be billed anymore.
  • offer: The subscription is an offer and waiting for acceptance.
Beispiel:

"active"

activatedAt
string<date-time> | null
read-only

The date the subscription was activated.

Beispiel:

"2021-01-01T00:00:00+00:00"

poNumber
string | null

The po number of the subscription.

Beispiel:

"PO-00000001"

contractDetails
object

The contract details of the subscription.

trialEndsOn
string<date-time> | null
read-only

The date the trial period ends.

Beispiel:

"2021-01-01T00:00:00+00:00"

customFields
object | null

Custom fields for the entity. The keys are the field names and the values are the field values. They need to be configured under "/custom-fields" in the API documentation. The input is validated against the configuration. For more details see Custom Fields Guide

Beispiel:
{ "field1": "value1", "field2": "value2" }
createdAt
string<date-time>
read-only

The date and time when the resource was created.

Beispiel:

"2021-01-01T00:00:00+00:00"

updatedAt
string<date-time>
read-only

The date and time when the resource was last updated.

Beispiel:

"2021-01-01T00:00:00+00:00"

defaultPaymentMethod
boolean
read-only

The payment method is null, we use the default payment method of the customer.

defaultInvoiceAddress
boolean
read-only

The invoice address is null, we use the default invoice address of the customer.

nextBillingDate
string<date-time> | null
read-only

The next billing date of the subscription.

lastBillingAt
string<date-time> | null
read-only

The last billing date of the subscription.

cancellationDate
string<date-time> | null
read-only

The date the subscription will be cancelled.

cancelledAt
string<date-time> | null
read-only

The date when the subscription was cancelled.

cancellationReason
object | null

The reason why the subscription was cancelled.

isCancellationPending
boolean
read-only

Indicates if the subscription is pending for cancellation. If true, the subscription will be cancelled in the future and the cancellation could be revoked.

nextPossibleCancellationDate
string[] | null
read-only
partner
object | null

The partner of the customer.